Freeciv-3.1: generate_packets.Variant Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Data Fields
generate_packets.Variant Class Reference

## Public Member Functions

| __init__ (self, poscaps, negcaps, name, fields, packet, no)
| get_dict (self, vars)
| get_stats (self)
| get_bitvector (self)
| get_report_part (self)
| get_reset_part (self)
| get_hash (self)
| get_cmp (self)
| get_send (self)
| get_delta_send_body (self)
| get_receive (self)
| get_delta_receive_body (self)

## Data Fields

| log_macro
| gen_stats
| gen_log
| name
| packet_name
| fields
| no
| no_packet
| want_post_recv
| want_pre_send
| want_post_send
| type
| delta
| is_info
| differ_used
| cancel
| want_force
| poscaps
| negcaps
| condition
| key_fields
| other_fields
| bits
| keys_format
| keys_arg
| handle_via_packet
| extra_send_args
| extra_send_args2
| extra_send_args3
| receive_prototype
| send_prototype
| send_handler
| receive_handler

## Detailed Description

Definition at line 840 of file generate_packets.py.

## Constructor & Destructor Documentation

## ◆ __init__()

generate_packets.Variant.__init__ | ( |  | self,
|  |  | poscaps,
|  |  | negcaps,
|  |  | name,
|  |  | fields,
|  |  | packet,
|  |  | no
| ) |  |

Definition at line 841 of file generate_packets.py.

## Member Function Documentation

## ◆ get_bitvector()

generate_packets.Variant.get_bitvector | ( |  | self | ) |

Definition at line 948 of file generate_packets.py.

## ◆ get_cmp()

generate_packets.Variant.get_cmp | ( |  | self | ) |

Definition at line 1008 of file generate_packets.py.

Referenced by generate_packets.Field.get_cmp_wrapper().

## ◆ get_delta_receive_body()

generate_packets.Variant.get_delta_receive_body | ( |  | self | ) |

Definition at line 1279 of file generate_packets.py.

Referenced by generate_packets.Variant.get_receive().

## ◆ get_delta_send_body()

generate_packets.Variant.get_delta_send_body | ( |  | self | ) |

Definition at line 1137 of file generate_packets.py.

Referenced by generate_packets.Variant.get_send().

## ◆ get_dict()

generate_packets.Variant.get_dict | ( |  | self,
|  |  | vars
| ) |  |

Definition at line 927 of file generate_packets.py.

Referenced by generate_packets.Field.get_cmp(), generate_packets.Field.get_cmp_wrapper(), generate_packets.Variant.get_delta_receive_body(), generate_packets.Variant.get_delta_send_body(), generate_packets.Packet.get_dlsend(), generate_packets.Packet.get_dsend(), generate_packets.Field.get_fill(), generate_packets.Field.get_get_real(), generate_packets.Field.get_get_wrapper(), generate_packets.Field.get_put_real(), generate_packets.Field.get_put_wrapper(), generate_packets.Variant.get_receive(), generate_packets.Variant.get_send(), generate_packets.Packet.get_send(), and generate_packets.Variant.get_stats().

## ◆ get_hash()

generate_packets.Variant.get_hash | ( |  | self | ) |

Definition at line 982 of file generate_packets.py.

## ◆ get_receive()

generate_packets.Variant.get_receive | ( |  | self | ) |

Definition at line 1210 of file generate_packets.py.

## ◆ get_report_part()

generate_packets.Variant.get_report_part | ( |  | self | ) |

Definition at line 953 of file generate_packets.py.

## ◆ get_reset_part()

generate_packets.Variant.get_reset_part | ( |  | self | ) |

Definition at line 972 of file generate_packets.py.

## ◆ get_send()

generate_packets.Variant.get_send | ( |  | self | ) |

Definition at line 1029 of file generate_packets.py.

## ◆ get_stats()

generate_packets.Variant.get_stats | ( |  | self | ) |

Definition at line 934 of file generate_packets.py.

## Field Documentation

## ◆ bits

generate_packets.Variant.bits

Definition at line 883 of file generate_packets.py.

## ◆ cancel

generate_packets.Variant.cancel

Definition at line 868 of file generate_packets.py.

Referenced by generate_packets.Variant.get_delta_receive_body(), and generate_packets.Variant.get_delta_send_body().

## ◆ condition

generate_packets.Variant.condition

Definition at line 878 of file generate_packets.py.

## ◆ delta

generate_packets.Variant.delta

Definition at line 855 of file generate_packets.py.

Referenced by generate_packets.Variant.get_receive(), and generate_packets.Variant.get_send().

## ◆ differ_used

generate_packets.Variant.differ_used

Definition at line 857 of file generate_packets.py.

Referenced by generate_packets.Variant.get_send().

## ◆ extra_send_args

generate_packets.Variant.extra_send_args

Definition at line 897 of file generate_packets.py.

## ◆ extra_send_args2

generate_packets.Variant.extra_send_args2

Definition at line 898 of file generate_packets.py.

## ◆ extra_send_args3

generate_packets.Variant.extra_send_args3

Definition at line 899 of file generate_packets.py.

## ◆ fields

generate_packets.Variant.fields

Definition at line 847 of file generate_packets.py.

Referenced by generate_packets.Packet.get_dlsend(), generate_packets.Packet.get_dsend(), generate_packets.Variant.get_receive(), and generate_packets.Variant.get_send().

## ◆ gen_log

generate_packets.Variant.gen_log

Definition at line 844 of file generate_packets.py.

Referenced by generate_packets.Variant.get_delta_receive_body(), generate_packets.Variant.get_delta_send_body(), generate_packets.Variant.get_receive(), and generate_packets.Variant.get_send().

## ◆ gen_stats

generate_packets.Variant.gen_stats

Definition at line 843 of file generate_packets.py.

Referenced by generate_packets.Variant.get_delta_send_body(), and generate_packets.Variant.get_send().

## ◆ handle_via_packet

generate_packets.Variant.handle_via_packet

Definition at line 895 of file generate_packets.py.

## ◆ is_info

generate_packets.Variant.is_info

Definition at line 856 of file generate_packets.py.

Referenced by generate_packets.Variant.get_delta_send_body(), and generate_packets.Variant.get_send().

## ◆ key_fields

generate_packets.Variant.key_fields

Definition at line 881 of file generate_packets.py.

Referenced by generate_packets.Variant.get_cmp(), generate_packets.Variant.get_delta_receive_body(), generate_packets.Variant.get_delta_send_body(), generate_packets.Variant.get_hash(), generate_packets.Variant.get_receive(), and generate_packets.Packet.get_struct().

## ◆ keys_arg

generate_packets.Variant.keys_arg

Definition at line 885 of file generate_packets.py.

## ◆ keys_format

generate_packets.Variant.keys_format

Definition at line 884 of file generate_packets.py.

## ◆ log_macro

generate_packets.Variant.log_macro

Definition at line 842 of file generate_packets.py.

## ◆ name

generate_packets.Variant.name

Definition at line 845 of file generate_packets.py.

## ◆ negcaps

generate_packets.Variant.negcaps

Definition at line 872 of file generate_packets.py.

## ◆ no

generate_packets.Variant.no

Definition at line 848 of file generate_packets.py.

## ◆ no_packet

generate_packets.Variant.no_packet

Definition at line 850 of file generate_packets.py.

Referenced by generate_packets.Variant.get_send(), and generate_packets.Packet.get_send().

## ◆ other_fields

generate_packets.Variant.other_fields

Definition at line 882 of file generate_packets.py.

Referenced by generate_packets.Variant.get_delta_receive_body(), generate_packets.Variant.get_delta_send_body(), generate_packets.Variant.get_stats(), and generate_packets.Packet.get_struct().

## ◆ packet_name

generate_packets.Variant.packet_name

Definition at line 846 of file generate_packets.py.

## ◆ poscaps

generate_packets.Variant.poscaps

Definition at line 871 of file generate_packets.py.

## ◆ receive_handler

generate_packets.Variant.receive_handler

Definition at line 924 of file generate_packets.py.

## ◆ receive_prototype

generate_packets.Variant.receive_prototype

Definition at line 914 of file generate_packets.py.

## ◆ send_handler

generate_packets.Variant.send_handler

Definition at line 919 of file generate_packets.py.

## ◆ send_prototype

generate_packets.Variant.send_prototype

Definition at line 915 of file generate_packets.py.

Referenced by generate_packets.Packet.get_prototypes().

## ◆ type

generate_packets.Variant.type

Definition at line 854 of file generate_packets.py.

Referenced by generate_packets.Variant.get_receive(), and generate_packets.Variant.get_send().

## ◆ want_force

generate_packets.Variant.want_force

Definition at line 869 of file generate_packets.py.

Referenced by generate_packets.Variant.get_send(), and generate_packets.Packet.get_send().

## ◆ want_post_recv

generate_packets.Variant.want_post_recv

Definition at line 851 of file generate_packets.py.

Referenced by generate_packets.Variant.get_receive().

## ◆ want_post_send

generate_packets.Variant.want_post_send

Definition at line 853 of file generate_packets.py.

Referenced by generate_packets.Variant.get_send().

## ◆ want_pre_send

generate_packets.Variant.want_pre_send

Definition at line 852 of file generate_packets.py.

Referenced by generate_packets.Variant.get_send().